Update AI Agent
curl --request PUT \
--url https://use.hoop.dev/api/ai-agents/{nameOrID} \
--header 'Content-Type: application/json' \
--data '
{
"groups": [
"engineering",
"platform"
],
"name": "claude-prod"
}
'import requests
url = "https://use.hoop.dev/api/ai-agents/{nameOrID}"
payload = {
"groups": ["engineering", "platform"],
"name": "claude-prod"
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({groups: ['engineering', 'platform'], name: 'claude-prod'})
};
fetch('https://use.hoop.dev/api/ai-agents/{nameOrID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created_at": "<string>",
"created_by": "<string>",
"deactivated_at": "<string>",
"deactivated_by": "<string>",
"groups": [
"engineering"
],
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"last_used_at": "<string>",
"masked_key": "hpk_1nzb***************************************",
"name": "ai-agent",
"org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"message": "the error description"
}{
"message": "the error description"
}{
"message": "the error description"
}{
"message": "the error description"
}AI Agents
Update AI Agent
Update an AI Agent’s name and/or groups. Works for both active and revoked agents.
PUT
/
ai-agents
/
{nameOrID}
Update AI Agent
Path Parameters
Name or UUID of the AI Agent
Body
application/json
The request body resource
Response
OK
Creation timestamp
Subject of the admin who created this agent
Revocation timestamp
Subject of the admin who revoked this agent
Groups assigned to this AI Agent
Example:
["engineering"]
Unique identifier
Timestamp of last usage
Masked version of the AI Agent key for identification
Example:
"hpk_1nzb***************************************"
Human-readable name
Example:
"ai-agent"
Organization ID
Current status of the AI Agent
Available options:
active, revoked Was this page helpful?
⌘I